﻿using UnityEngine;
using UnityEngine.AI;

public class AIEnemy : MonoBehaviour
{
    /// <summary>
    /// gameiino.com / store.gameiino.com / play.gameiino.com / سایت های ما
    /// t.me/gameiino_learning / t.me/gameiino_play / t.me/gameiino_store / کانال های ما در فضای مجازی
    /// <summary>

    private NavMeshAgent agent;

    [SerializeField] private PointManager points;
    [SerializeField] private float speed = 5;

    private Transform[] wayPoints;
    private int destPoint = 0;

    private void Start()
    {
        wayPoints = points.wayPoints;

        agent = GetComponent<NavMeshAgent>();
        agent.autoBraking = false;
        agent.speed = speed;

        GoToNextPoint();
    }

    private void FixedUpdate()
    {
        if (!agent.pathPending && agent.remainingDistance < 0.5f) GoToNextPoint();
    }

    private void GoToNextPoint()
    {
        if (wayPoints == null) return;

        agent.destination = wayPoints[destPoint].position;
        destPoint = (destPoint + 1) % wayPoints.Length;
    }
}
